# メッセージング

**メッセージング / 受信箱** システムの動作について。

これらの設定には、**管理 > 設定 > メッセージング** からアクセスできます。このカテゴリには **7つの設定** が含まれており、以下にプラットフォームの設定フィクスチャ (`SettingsCurrentFixtures.php`) に記載されているタイトルとコメントを記載しています。

> コード内の変数名は等幅フォントで表示されています。API を介してスクリプトを作成する場合や、[`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml) を編集してこれらの設定をグローバルレベルで変更する必要がある場合に使用してください。

## 設定

### `allow_message_tool`

**内部メッセージツール**

内部メッセージツールを有効にすると、ユーザーはプラットフォームの他のユーザーにメッセージを送信したり、メッセージの受信箱を持つことができます。

*デフォルト: `true`*

### `allow_send_message_to_all_platform_users`

**すべてのプラットフォームユーザーにメッセージを送信することを許可**

プラットフォームのすべてのユーザーにメッセージを送信できるようにします。友達や現在オンライン中の人に限定されません。

*デフォルト: `false`*

### `allow_user_message_tracking`

**管理者が個人メッセージを閲覧可能**

管理者に対して、教師と学習者間の個人メッセージを閲覧することを許可します。この設定がプライバシー保護に影響を与える可能性があるため、利用規約にその旨を記載してください。

*デフォルト: `false`*

### `filter_interactivity_messages`

**教師はセッション期間内のみ学習者のメッセージにアクセス可能**

教師と学習者間のメッセージを、セッションの開始日と終了日の間に限定してフィルタリングします。

*デフォルト: `false`*

### `message_max_upload_filesize`

**メッセージ内の最大アップロードファイルサイズ**

メッセージツールでのファイルアップロードの最大サイズ（バイト単位）

*デフォルト: `20971520`*

### `private_messages_about_user`

**学習者に関する教師間のプライベートメッセージを許可**

教師や上司が、特定のユーザーの追跡ページからそのユーザーに関するメッセージを交換することを許可します。

*デフォルト: `false`*

### `private_messages_about_user_visible_to_user`

**学習者が教師間の自分に関するメッセージを閲覧可能**

ユーザーに関するメッセージの交換が有効になっている場合、このオプションを有効にすると、該当するユーザーがそのメッセージを閲覧できるようになります。これは、組織が遵守する必要がある透明性のルールに対応するためのものです。

*デフォルト: `false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-ja/gaido-1/admin-guide/platform-settings/message-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
